While using Chrome with Internet Download Manager installed on your computer, you may receive this dialog from IDM saying: ‘You have an obsolete Google Chrome browser integration, or Google Chrome integration is not installed. Would you like to read how to fix it?‘. You can fix the issue and the dialog won’t appear from IDM for Chrome again, here is how that can be done.

Fix IDM’s You have an Obsolete Google Chrome browser Integration error

  1. Ensure you’re using the latest version of IDM, you can check that by choosing ‘Check for updates’ option in the Help menu. If an update is available, IDM will download and install the update, otherwise, ‘you’re using the latest version of Internet Download Manager’ message will be displayed on the screen.
  2. Within Chrome, visit chrome://extensions page or click on menu > More tools> Extensions,
  3. If IDM Integration Module for Chrome is not installed, navigate to C:\Program Files (x86)\Internet Download Manager,  select IDMGCExt, drag and drop it onto Chrome extensions page for installing.

4. Once installed, ensure it is enabled. This fixes the issue.

We’ve covered how to fix similar sort of error displayed by IDM for Firefox, check that below.

Fix ‘You have an obsolete Firefox browser integration or Firefox integration is not installed ..?’

Please share this article

Tweet | Submit to Reddit